Skip to main content
POST
/
api
/
media
/
signed-transform
Create a signed transform URL
curl --request POST \
  --url https://convertly.sh/api/media/signed-transform \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceUrl": "<string>"
}
'
{
  "url": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key.

Body

application/json
sourceUrl
string<uri>
required

Public HTTPS image URL to transform.

preset
enum<string>
Available options:
ecommerce,
avatar,
blog-hero,
social-preview
width
integer
height
integer
fit
enum<string>
Available options:
cover,
contain,
fill,
inside,
outside
cropLeft
integer
cropTop
integer
cropWidth
integer
cropHeight
integer
format
enum<string>
Available options:
jpg,
png,
webp,
avif
quality
integer
Required range: 1 <= x <= 100
expiresIn
integer
default:3600
Required range: 60 <= x <= 604800

Response

Signed image transform URL

url
string<uri>
required
expiresAt
string<date-time>
required